## Value

# Foreign Type Value

Source

    extern {
        pub(crate) type Value;
    }

## Trait Implementations§

Source§

### impl Debug for Value

Source§

#### fn fmt(&self, f: &mut Formatter<'_>) -> Result

Formats the value using the given formatter. Read more
Source§

### impl Hash for Value

Source§

#### fn hash<H: Hasher>(&self, hasher: &mut H)

Feeds this value into the given `Hasher`. Read more
Source§

### impl PartialEq for Value

Source§

#### fn eq(&self, other: &Self) -> bool

Tests for `self` and `other` values to be equal, and is used by `==`.
1.0.0 · Source§

#### fn ne(&self, other: &Rhs) -> bool

Tests for `!=`. The default implementation is almost always sufficient, and should not be overridden without very good reason.
Source§

### impl Eq for Value